/*
  DFRobot Leonardo XBee
  HC-05 Bee Bluetooth
 
  Stratégies Numériques
   www.strat-num.fr
   11/2014, Llç

   -----
   Configure le module Bluetooth XBee pour dialoguer avec le casque Mindwave.
   -----
 
 */

void setup()  
{
  Serial.begin(38400) ;	// la console / le port série externe
  Serial1.begin(38400);	// liaison série avec XBee
  
  while (!Serial) {;} 	// wait for serial port to connect.
  info();
 }

void loop() // run over and over (passthrough)
{
  while (Serial1.available()){
    Serial.write(Serial1.read());
  }
  while (Serial.available()){
    char c = Serial.read();
    if(c=='@') info(); else Serial1.write(c);
  }
}

void info(){
  Serial.println("/nDFRobot Leonardo & XBee + HC-05 XBee Bluetooth");
  Serial.println(" - - - - - ");
  Serial.println("- Demander le nom du module");
  Serial.println("AT+NAME?\r\n");
  Serial.println("- éventuellement le changer");
  Serial.println("AT+NAME=Schtroumpfs");
  Serial.println("- Vérifier que le module est en mode maître");
  Serial.println("AT+ROLE?");
  Serial.println("La réponse doit être +ROLE:1");
  Serial.println("Si ce n'est pas le cas, entrez At+ROLE=1");
  Serial.println("Vérifier la valeur de la clef de pairage");
  Serial.println("AT+PSWD?\r\n");
  Serial.println("Le casque nécessite que ce soit '0000', si ce n'est pas le cas,");
  Serial.println("entrez la commande AT+PSWD=0000");
  Serial.println("- vérifier la vitesse de liaison (Par défaut c'est 38400 (bauds).)");
  Serial.println("AT+UART?");
  Serial.println("- Le casque peut dialoguer à une vitesse de 57600 bauds.");
  Serial.println("AT+UART=57600,0,0");
  Serial.println("\nEntrez @ pour revoir cette information.\n\n");
}

